Subject: Re: bug#70519: 30.0.50; Device for Emacs terminal I/O

From: Helmut Eller <[email-masked]>
Date: Sat, 04 May 2024 20:27:42 +0200

> On Mai 04 2024, Helmut Eller wrote:
>
>> 3) Now when I press C-c in terminal B, I see ^C.  This is not what I
>>    expect. I would expect that Emacs is interrupted and exits the same
>>    way a GUI Emacs exits when pressing C-c.
>
> Why do you expect that?  You have told Emacs to use a different
> terminal, and a process can only have a single controlling terminal.  It
> is unusual for GUI processes to have controlling terminals.

I expect that so that I can press C-c in terminal B to interrupt and
exit Emacs like in GUI mode.